NodesToAttributesMappingRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: NodesToAttributesMappingRequestPBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class NodesToAttributesMappingRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.NodesToAttributesMappingRequestPBImpl

public class NodesToAttributesMappingRequestPBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest
Proto class for node to attributes mapping request.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodesToAttributesMappingRequestPBImpl()`
  `NodesToAttributesMappingRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `boolean`
  `getFailOnUnknownNodes()`
  `List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes>`
  `getNodesToAttributes()`
  `org.apache.hadoop.yarn.server.api.protocolrecords.AttributeMappingOperationType`
  `getOperation()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingRequestProto`
  `getProto()`
  `String`
  `getSubClusterId()`
  `int`
  `hashCode()`
  `void`
  `setFailOnUnknownNodes(boolean failOnUnknownNodes)`
  `void`
  `setNodesToAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodesToAttributes)`
  `void`
  `setOperation(org.apache.hadoop.yarn.server.api.protocolrecords.AttributeMappingOperationType operation)`
  `void`
  `setSubClusterId(String subClusterId)`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NodesToAttributesMappingRequestPBImpl

    public NodesToAttributesMappingRequestPBImpl()

  - ### NodesToAttributesMappingRequestPBImpl

    public NodesToAttributesMappingRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.NodesToAttributesMappingRequestProto getProto()

  - ### setNodesToAttributes

    public void setNodesToAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodesToAttributes)
    Specified by:
      `setNodesToAttributes` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### getNodesToAttributes

    public List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> getNodesToAttributes()
    Specified by:
      `getNodesToAttributes` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### setFailOnUnknownNodes

    public void setFailOnUnknownNodes(boolean failOnUnknownNodes)
    Specified by:
      `setFailOnUnknownNodes` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### getFailOnUnknownNodes

    public boolean getFailOnUnknownNodes()
    Specified by:
      `getFailOnUnknownNodes` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### setOperation

    public void setOperation(org.apache.hadoop.yarn.server.api.protocolrecords.AttributeMappingOperationType operation)
    Specified by:
      `setOperation` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### getOperation

    public org.apache.hadoop.yarn.server.api.protocolrecords.AttributeMappingOperationType getOperation()
    Specified by:
      `getOperation` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### getSubClusterId

    public String getSubClusterId()
    Specified by:
      `getSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### setSubClusterId

    public void setSubClusterId(String subClusterId)
    Specified by:
      `setSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`